## octave 5.2.0

=== debian/changelog ===
octave (5.2.0-1) unstable; urgency=medium

  * New upstream version 5.2.0
  * Replace libopenblas-base by libopenblas0 in Recommends
  * d/copyright: reflect upstream changes
  * Bump S-V to 4.5.0
  * Do not Build-Depend on default-jdk on archs that do not have it.
    Also remove always-build-octave-jar.patch. Rather make build-indep rules
    fail on archs for which we do not support Java.
    Thanks to Samuel Thibault (Closes: #947959)
  * Remove texinfo.patch, no longer needed since Automake 1.16 is the default
  * Remove unused d/source/include-binaries
  * Use the .patch extension for all patches

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 04 Feb 2020 13:05:00 +0100

octave (5.1.0-4) unstable; urgency=medium

  * The liboctaveN package provides now the virtual package octave-abi-MM
  * d/s/options: Add *.qch and *.qhc to the list of ignored files

 -- Rafael Laboissiere <rafael@debian.org>  Thu, 31 Oct 2019 02:02:46 -0300

octave (5.1.0-3) unstable; urgency=medium

  * On mipsel, disable debugging symbols.
    Otherwise, it FTBFS because the assembler hits the virtual space memory
    limit of 2Gb.
  * Drop provisions for the now obsolete mips architecture

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 01 Oct 2019 21:34:08 +0200

octave (5.1.0-2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * d/copyright: add entry for etc/fonts/* (Closes: #926047)
  * Bump to S-V 4.4.1

  [ Rafael Laboissiere ]
  * d/control: Build-depend on texlive-plain-generic, instead of
    -generic-recommended (Closes: #932975)

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 29 Sep 2019 22:03:24 +0200

octave (5.1.0-1) experimental; urgency=medium

  * New upstream version 5.1.0
  * Update d/copyright

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 25 Feb 2019 18:01:12 +0100

octave (5.0.91-1) experimental; urgency=medium

  * New upstream release candidate
  * Update d/copyright
  * unimplemented-functions.patch: drop patch, applied upstream
  * Bump SONAME to liboctave7
  * debian_missing_handler.m: point to octave-doc instead of octave-info
  * d/upstream/signing-key.asc: shrink key to a minimal version
  * Bump to debhelper compat level 12
    + disable dh_swz, it fails with a cryptic error message
    + some stuff is now installed under /usr/libexec
  * Add --fail-missing flag to dh_missing, so that we don't forget something.
    As a consequence, we now ship octave.pc and octinterp.pc in liboctave-dev.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 22 Feb 2019 16:26:56 +0100

=== debian/control ===
Source: octave
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Sébastien Villemot <sebastien@debian.org>,
           Rafael Laboissiere <rafael@debian.org>
Section: math
Priority: optional
Build-Depends: automake,
               bison,
               debhelper-compat (= 12),
               default-jdk [!hppa !hurd-any !kfreebsd-any],
               desktop-file-utils,
               dh-exec,
               epstool,
               fig2dev,
               flex,
               gawk,
               gfortran,
               ghostscript,
               gnuplot-nox,
               gperf,
               icoutils,
               less,
               libarpack2-dev,
               libblas-dev,
               libcurl4-gnutls-dev,
               libfftw3-dev,
               libfltk1.3-dev,
               libfontconfig1-dev,
               libgl2ps-dev,
               libglpk-dev,
               libglu1-mesa-dev,
               libgraphicsmagick++1-dev,
               libhdf5-dev,
               liblapack-dev,
               libncurses5-dev,
               libpcre3-dev,
               libqhull-dev,
               libqrupdate-dev,
               libqscintilla2-qt5-dev,
               libqt5opengl5-dev,
               libreadline-dev,
               librsvg2-bin,
               libsndfile1-dev,
               libsuitesparse-dev,
               libxft-dev,
               portaudio19-dev,
               pstoedit,
               qtbase5-dev,
               qttools5-dev,
               qttools5-dev-tools,
               texinfo,
               texlive-fonts-recommended,
               texlive-latex-base,
               texlive-plain-generic,
               unzip,
               xauth,
               zip
Build-Conflicts: libsundials-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave.git
Homepage: https://www.octave.org/
Rules-Requires-Root: no

Package: octave
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         texinfo,
         octave-common (= ${source:Version}),
         liboctave7 (= ${binary:Version})
Recommends: gnuplot-qt | gnuplot-x11 | gnuplot-nox,
            libopenblas0 | libatlas3-base,
            pstoedit,
            epstool,
            default-jre-headless [!armel !hppa !hurd-any !kfreebsd-any !mipsel !powerpc !riscv64],
            octave-doc
Suggests: liboctave-dev
Breaks: liboctave3v5, liboctave4, liboctave5, liboctave6
Description: GNU Octave language for numerical computations
 Octave is a (mostly Matlab (R) compatible) high-level language, primarily
 intended for numerical computations. It provides a convenient command-line
 interface for solving linear and nonlinear problems numerically.
 .
 Octave can be dynamically extended with user-supplied C++ files.

Package: octave-common
Architecture: all
Depends: ${misc:Depends}
Recommends: fonts-freefont-otf
Multi-Arch: foreign
Description: architecture-independent files for octave
 Octave is a (mostly Matlab (R) compatible) high-level language, primarily
 intended for numerical computations. It provides a convenient command-line
 interface for solving linear and nonlinear problems numerically.
 .
 Octave can be dynamically extended with user-supplied C++ files.
 .
 This package provides the architecture-independent files (Octave scripts
 and other helper files).

Package: octave-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         info
Suggests: www-browser | pdf-viewer
Breaks: octave-info (<< 4.2.1-6), octave-htmldoc (<< 4.2.1-6)
Replaces: octave-info (<< 4.2.1-6), octave-htmldoc (<< 4.2.1-6)
Enhances: octave
Multi-Arch: foreign
Description: documentation of the GNU Octave language
 Octave is a (mostly Matlab (R) compatible) high-level language, primarily
 intended for numerical computations. It provides a convenient command-line
 interface for solving linear and nonlinear problems numerically.
 .
 This package provides the following documentation in HTML, PDF and Info
 formats:
 - the main user manual
 - a document on the C++ classes used internally by Octave.
 .
 It also includes a reference card in PDF format and in a4, letter and legal
 paper sizes.
 .
 This package is required by the 'help -i' command at the Octave command-line
 and by the help documentation browser in the graphical interface.

Package: octave-htmldoc
Architecture: all
Section: oldlibs
Depends: ${misc:Depends},
         octave-doc
Multi-Arch: foreign
Description: transitional package for Octave HTML documentation
 This is a transitional dummy package for the Octave HTML
 documentation. It can be safely removed.

Package: octave-info
Architecture: all
Section: oldlibs
Depends: ${misc:Depends},
         octave-doc
Multi-Arch: foreign
Description: transitional package for Octave info documentation
 This is a transitional dummy package for the for Octave info
 documentation. It can be safely removed.

Package: liboctave7
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Provides: ${octave-abi:Provides}
Description: shared libraries of the GNU Octave language
 Octave is a (mostly Matlab (R) compatible) high-level language, primarily
 intended for numerical computations. It provides a convenient command-line
 interface for solving linear and nonlinear problems numerically.
 .
 This package provides the shared libraries used by the interpreter.

Package: liboctave-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends},
         ${misc:Depends},
         liboctave7 (= ${binary:Version}),
         octave (= ${binary:Version}),
         libreadline-dev | libreadline-gplv2-dev,
         libncurses5-dev,
         libhdf5-dev | libhdf5-openmpi-dev | libhdf5-mpich-dev,
         libgl1-mesa-dev | libgl-dev,
         libblas-dev | libblas.so,
         liblapack-dev | liblapack.so,
         libfftw3-dev,
         gfortran,
         gcc,
         g++
Enhances: octave
Description: development files for the GNU Octave language
 Octave is a (mostly Matlab (R) compatible) high-level language, primarily
 intended for numerical computations. It provides a convenient command-line
 interface for solving linear and nonlinear problems numerically.
 .
 This package provides the header files and the mkoctfile script used for
 extending Octave via compiled code.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Needed by octave-common.links
include /usr/share/dpkg/pkg-info.mk
DEB_VERSION_UPSTREAM := $(subst ~rc,-rc,$(DEB_VERSION_UPSTREAM))
export DEB_VERSION_UPSTREAM

# Configure default Java paths using javahelper except on some archs.
# We require at least OpenJDK 9 (otherwise JAVA_LIBDIR below will not work)
# The following arches do not have OpenJDK 9: hppa, hurd-*, kfreebsd-*, riscv64
# The following arches have crashes with Java
# - as of OpenJDK 9: armel
# - as of OpenJDK 10: mipsel, powerpc
# This arch list must be kept in sync with the arch list qualifying
# default-jre in debian/control.
# The arch list qualifying default-jdk in the Build-Depends should be a subset
# of $(NO_JDK_ARCHS) (it’s the archs that really do not have a JDK, see also
# #947959).
include /usr/share/dpkg/architecture.mk
NO_JDK_ARCHS := armel hppa hurd-i386 kfreebsd-amd64 kfreebsd-i386 mipsel powerpc riscv64
ifneq (,$(filter $(DEB_HOST_ARCH),$(NO_JDK_ARCHS)))
WITH_JAVA_FLAGS := --disable-java
else
JAVA_HOME := /usr/lib/jvm/default-java
JAVA_LIBDIR := $(shell if test -d $(JAVA_HOME)/lib/client; then echo $(JAVA_HOME)/lib/client; else echo $(JAVA_HOME)/lib/server; fi)
WITH_JAVA_FLAGS := --with-java-homedir=$(JAVA_HOME) --with-java-libdir=$(JAVA_LIBDIR)
endif

# Disable the experimental JIT unconditionally for now. The LLVM library
# interface is unstable. Linking with LLVM may also cause conflicts with other
# libraries, for example the mesa graphics stack which also uses LLVM.
JIT_FLAG := --disable-jit

# Needed to force the serial version of HDF5 even if other flavours are
# installed.
ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial/libhdf5.so),)
  HDF5_FLAGS := --with-hdf5-includedir=/usr/include/hdf5/serial \
	--with-hdf5-libdir=/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
endif

# Support the nodoc flag of DEB_BUILD_OPTIONS
ifneq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
override_dh_auto_configure:
DOC_FLAG := --disable-docs
endif

# On mipsel, disable debugging symbols. Otherwise, it FTBFS because the
# assembler hits the virtual space memory limit of 2Gb. See e.g.
# https://buildd.debian.org/status/fetch.php?pkg=octave&arch=mipsel&ver=5.1.0-2&stamp=1569871716
# See also this thread:
# https://lists.debian.org/debian-devel/2019/08/msg00171.html
ifeq ($(DEB_HOST_ARCH),mipsel)
export DEB_CXXFLAGS_MAINT_STRIP := -g
endif

# Get the current API version
API_VERSION = $(shell grep ^OCTAVE_API_VERSION= configure.ac | sed -e 's/OCTAVE_API_VERSION="api-v\(.*\)"/\1/')

%:
	dh $@

override_dh_auto_configure:
	# Enforce generic BLAS (in order to avoid tying the binary to OpenBLAS or ATLAS)
	# Also pass OpenMP flag (#631831)
	# Pass the install directory of fonts-freefont-otf package
	dh_auto_configure -- \
		--with-blas=blas --enable-openmp \
		--with-system-freefont=/usr/share/fonts/opentype/freefont \
		$(WITH_JAVA_FLAGS) $(JIT_FLAG) $(HDF5_FLAGS) $(DOC_FLAG)

ifneq (,$(filter $(DEB_HOST_ARCH),$(NO_JDK_ARCHS)))
override_dh_auto_build-indep:
	# We can not build octave.jar, and hence octave-common, on these
	false
endif

# dh_auto_test tries to run "make test", so override it
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	make check
	# Run builtin-features to ensure important features are included
	env OCTAVE=./run-octave debian/tests/builtin-features
endif

# override normal dh_compress call to avoid compressing .pdf files
override_dh_compress:
	dh_compress --exclude=.pdf

override_dh_auto_install:
	dh_auto_install
	# Delete .la files (for liboctgui)
	find debian/tmp -name '*.la' -delete

# The info files have references to .png images, so also ship those.
# Note that we do not install all doc/interpreter/*.png, since some are not referenced
# when compiling the output info (using @ifnotinfo macro).
# We used to rename them by prefixing their name with "octave-", but this was breaking some
# info files (see #816534).
override_dh_installinfo-indep:
	dh_installinfo
	for f in `grep -a src=\".*\" doc/interpreter/*.info* | sed 's/.*src="\([^"]*\)".*/\1/'`; do \
		cp doc/interpreter/$$f debian/octave-doc/usr/share/info/; \
	done

# Strip the executable bit from the .oct files
# Cannot be done in dh_fixperms, as then dh_strip and dh_shlibdeps don't take the
# .oct files into account
override_dh_shlibdeps:
	dh_shlibdeps
	find debian/octave -name '*.oct' -print0 2>/dev/null | xargs -0r chmod 644

# Avoid useless call of ldconfig in the triggers script of the octave
# package
override_dh_makeshlibs:
	dh_makeshlibs --package=octave --noscripts
	dh_makeshlibs --no-package=octave

# Disable dwz, it fails as of 5.0.91-1
override_dh_dwz:

# Ensure we package everything
override_dh_missing:
	dh_missing --fail-missing

# Make liboctaveN provide the virtual package octave-abi-MM
override_dh_gencontrol:
	dh_gencontrol -- -Voctave-abi:Provides=octave-abi-$(API_VERSION)

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://ftpmirror.gnu.org/octave/octave@ANY_VERSION@@ARCHIVE_EXT@

## octave 6.1.1~hg.2021.01.26

=== debian/changelog ===
octave (6.1.1~hg.2021.01.26-1) unstable; urgency=medium

  * New upstream version 6.1.1~hg.2021.01.26
  * adjust-hg-version.patch: update for new upstream snapshot

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 27 Jan 2021 12:47:31 +0100

octave (6.1.1~hg.2020.12.27-3) unstable; urgency=medium

  * Fix smoke autopkgtest for mercurial snapshot versioning scheme
  * Restore build dependency on sundials

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 05 Jan 2021 13:05:13 +0100

octave (6.1.1~hg.2020.12.27-2) unstable; urgency=medium

  * Upload to unstable

 -- Rafael Laboissière <rafael@debian.org>  Sat, 02 Jan 2021 06:25:35 -0300

octave (6.1.1~hg.2020.12.27-1) experimental; urgency=medium

  * New upstream version 6.1.1~hg.2020.12.27
  * d/p/drop_versioned_binaries.patch: Refresh for new upstream version
  * d/p/adjust-hg-version.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Wed, 30 Dec 2020 14:35:47 -0300

octave (6.1.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 09 Dec 2020 10:07:00 +0100

octave (6.1.0-1) experimental; urgency=medium

  [ Sébastien Villemot ]
  * New upstream version 6.1.0
  * d/copyright: reflect upstream changes
  * Bump S-V to 4.5.1
  * Drop transitional packages octave-htmldoc and octave-info

  [ Rafael Laboissière ]
  * d/octave-common.lintian-overrides: Add override for extra-license-file
  * d/octave-common.lintian-overrides: Add override for
    image-file-has-unexpected-name
  * d/octave.lintian-overrides: Use new tag name exit-in-shared-library

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 28 Nov 2020 16:46:35 +0100

octave (6.0.90-1) experimental; urgency=medium

  * New upstream version 6.0.90
    - fix stack overflow in Java process reaper (Closes: #961681)
  * d/copyright: reflect upstream changes.
    Since copyright notices have been simplified, switch back to a manual method
    of aggregating them.
  * load-hdf5-string-crash.patch: drop patch, applied upstream
  * Bump SONAME to liboctave8

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 02 Sep 2020 15:47:23 +0200

octave (5.2.0-3) unstable; urgency=medium

  * Rename /etc/octave.conf to /etc/octaverc, for consistency with upstream
    naming.

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 12 Jun 2020 10:15:25 +0200

octave (5.2.0-2) unstable; urgency=medium

  [ Sébastien Villemot ]
  * /etc/octave.conf now corresponds to the site-specific octaverc.
    Previously, it would correspond to the version-specific octaverc. The latter
    is not really meant to be locally modified.
  * Move debian_missing_handler.m to site-specific directory.
    This is more logical since it is now called from the site-specific octaverc.
    Also, this emphasizes the fact that it’s a Debian customization.
  * Bump to debhelper 13
    — drop B-D to dh-exec, instead use new variable substitution mechanism
    — dh_missing now defaults to --fail-missing
    — simplify override_dh_auto_test rule
  * d/rules:
    — enable dh_dwz, it seems to work now
    — simplify using debhelper 12.8’s execute_after_* rules
  * d/control: add Breaks against octave-nlopt < 2.6.1-8~
    Former version of the package would need recompiling against every new
    Octave version.
  * Cosmetic fixes to capitalization of MATLAB®
  * d/upstream/metadata: various improvements

  [ Rafael Laboissière ]
  * d/p/load-hdf5-string-crash.patch: New patch.
    Thanks to Elvis Stansvik for the patch
    (Closes: #959109)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 20 May 2020 22:43:17 +0200

## octave 6.2.0

=== debian/changelog ===
octave (6.2.0-1) unstable; urgency=medium

  * New upstream version 6.2.0
  * d/copyright: reflect upstream changes
  * adjust-hg-version.patch: drop patch, no longer needed

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 08 Mar 2021 12:22:24 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: octave
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>,
-           Rafael Laboissiere <rafael@debian.org>
+           Rafael Laboissière <rafael@debian.org>
 Section: math
 Priority: optional
 Build-Depends: automake,
                bison,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
+               debhelper (>= 12.8~),
                default-jdk [!hppa !hurd-any !kfreebsd-any],
                desktop-file-utils,
-               dh-exec,
                epstool,
                fig2dev,
                flex,
@@ -42,6 +42,7 @@
                librsvg2-bin,
                libsndfile1-dev,
                libsuitesparse-dev,
+               libsundials-dev,
                libxft-dev,
                portaudio19-dev,
                pstoedit,
@@ -55,8 +56,7 @@
                unzip,
                xauth,
                zip
-Build-Conflicts: libsundials-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave.git
 Homepage: https://www.octave.org/
@@ -68,7 +68,7 @@
          ${misc:Depends},
          texinfo,
          octave-common (= ${source:Version}),
-         liboctave7 (= ${binary:Version})
+         liboctave8 (= ${binary:Version})
 Recommends: gnuplot-qt | gnuplot-x11 | gnuplot-nox,
             libopenblas0 | libatlas3-base,
             pstoedit,
@@ -76,9 +76,10 @@
             default-jre-headless [!armel !hppa !hurd-any !kfreebsd-any !mipsel !powerpc !riscv64],
             octave-doc
 Suggests: liboctave-dev
-Breaks: liboctave3v5, liboctave4, liboctave5, liboctave6
+Breaks: liboctave3v5, liboctave4, liboctave5, liboctave6, liboctave7,
+        octave-nlopt (<< 2.6.1-8~)
 Description: GNU Octave language for numerical computations
- Octave is a (mostly Matlab (R) compatible) high-level language, primarily
+ Octave is a (mostly MATLAB® compatible) high-level language, primarily
  intended for numerical computations. It provides a convenient command-line
  interface for solving linear and nonlinear problems numerically.
  .
@@ -90,7 +91,7 @@
 Recommends: fonts-freefont-otf
 Multi-Arch: foreign
 Description: architecture-independent files for octave
- Octave is a (mostly Matlab (R) compatible) high-level language, primarily
+ Octave is a (mostly MATLAB® compatible) high-level language, primarily
  intended for numerical computations. It provides a convenient command-line
  interface for solving linear and nonlinear problems numerically.
  .
@@ -110,7 +111,7 @@
 Enhances: octave
 Multi-Arch: foreign
 Description: documentation of the GNU Octave language
- Octave is a (mostly Matlab (R) compatible) high-level language, primarily
+ Octave is a (mostly MATLAB® compatible) high-level language, primarily
  intended for numerical computations. It provides a convenient command-line
  interface for solving linear and nonlinear problems numerically.
  .
@@ -125,27 +126,7 @@
  This package is required by the 'help -i' command at the Octave command-line
  and by the help documentation browser in the graphical interface.
 
-Package: octave-htmldoc
-Architecture: all
-Section: oldlibs
-Depends: ${misc:Depends},
-         octave-doc
-Multi-Arch: foreign
-Description: transitional package for Octave HTML documentation
- This is a transitional dummy package for the Octave HTML
- documentation. It can be safely removed.
-
-Package: octave-info
-Architecture: all
-Section: oldlibs
-Depends: ${misc:Depends},
-         octave-doc
-Multi-Arch: foreign
-Description: transitional package for Octave info documentation
- This is a transitional dummy package for the for Octave info
- documentation. It can be safely removed.
-
-Package: liboctave7
+Package: liboctave8
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -154,7 +135,7 @@
 Pre-Depends: ${misc:Pre-Depends}
 Provides: ${octave-abi:Provides}
 Description: shared libraries of the GNU Octave language
- Octave is a (mostly Matlab (R) compatible) high-level language, primarily
+ Octave is a (mostly MATLAB® compatible) high-level language, primarily
  intended for numerical computations. It provides a convenient command-line
  interface for solving linear and nonlinear problems numerically.
  .
@@ -165,7 +146,7 @@
 Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         liboctave7 (= ${binary:Version}),
+         liboctave8 (= ${binary:Version}),
          octave (= ${binary:Version}),
          libreadline-dev | libreadline-gplv2-dev,
          libncurses5-dev,
@@ -179,7 +160,7 @@
          g++
 Enhances: octave
 Description: development files for the GNU Octave language
- Octave is a (mostly Matlab (R) compatible) high-level language, primarily
+ Octave is a (mostly MATLAB® compatible) high-level language, primarily
  intended for numerical computations. It provides a convenient command-line
  interface for solving linear and nonlinear problems numerically.
  .

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,5 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
-
-# Needed by octave-common.links
-include /usr/share/dpkg/pkg-info.mk
-DEB_VERSION_UPSTREAM := $(subst ~rc,-rc,$(DEB_VERSION_UPSTREAM))
-export DEB_VERSION_UPSTREAM
 
 # Configure default Java paths using javahelper except on some archs.
 # We require at least OpenJDK 9 (otherwise JAVA_LIBDIR below will not work)
@@ -77,18 +72,15 @@
 
 # dh_auto_test tries to run "make test", so override it
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	make check
 	# Run builtin-features to ensure important features are included
 	env OCTAVE=./run-octave debian/tests/builtin-features
-endif
 
 # override normal dh_compress call to avoid compressing .pdf files
 override_dh_compress:
 	dh_compress --exclude=.pdf
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	# Delete .la files (for liboctgui)
 	find debian/tmp -name '*.la' -delete
 
@@ -97,8 +89,7 @@
 # when compiling the output info (using @ifnotinfo macro).
 # We used to rename them by prefixing their name with "octave-", but this was breaking some
 # info files (see #816534).
-override_dh_installinfo-indep:
-	dh_installinfo
+execute_after_dh_installinfo-indep:
 	for f in `grep -a src=\".*\" doc/interpreter/*.info* | sed 's/.*src="\([^"]*\)".*/\1/'`; do \
 		cp doc/interpreter/$$f debian/octave-doc/usr/share/info/; \
 	done
@@ -106,9 +97,8 @@
 # Strip the executable bit from the .oct files
 # Cannot be done in dh_fixperms, as then dh_strip and dh_shlibdeps don't take the
 # .oct files into account
-override_dh_shlibdeps:
-	dh_shlibdeps
-	find debian/octave -name '*.oct' -print0 2>/dev/null | xargs -0r chmod 644
+execute_after_dh_shlibdeps:
+	find debian/octave -name '*.oct' -exec chmod 644 '{}' ';'
 
 # Avoid useless call of ldconfig in the triggers script of the octave
 # package
@@ -116,13 +106,6 @@
 	dh_makeshlibs --package=octave --noscripts
 	dh_makeshlibs --no-package=octave
 
-# Disable dwz, it fails as of 5.0.91-1
-override_dh_dwz:
-
-# Ensure we package everything
-override_dh_missing:
-	dh_missing --fail-missing
-
 # Make liboctaveN provide the virtual package octave-abi-MM
 override_dh_gencontrol:
 	dh_gencontrol -- -Voctave-abi:Provides=octave-abi-$(API_VERSION)

## octave 6.4.0

=== debian/changelog ===
octave (6.4.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 16 Jan 2022 21:26:26 +0100

octave (6.4.0-1) experimental; urgency=medium

  * New upstream version 6.4.0
  * d/control: fix indentation in description of octave-doc

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 30 Nov 2021 11:06:00 +0100

octave (6.3.0-1) experimental; urgency=medium

  * New upstream version 6.3.0
  * Drop liboctave8 package.
    In octave 6.3.0, the SOVERSION of liboctinterp is bumped to 9, while
    liboctave remains at 8, so it’s no longer possible to distribute them in the
    same liboctave8 package. However, since .oct files no longer explicitly link
    against those shared libraries (since Octave 5), we are no longer forced to
    ship them as public libraries, and we can make them private (as does
    upstream). Consequently:
    – drop install_libraries_publically.patch
    – move the octave-abi-NN Provides to the main octave package
  * Rename liboctave-dev to octave-dev.
    This seems more logical, since there is no liboctave package anymore. Keep
    liboctave-dev as transitional package though.
  * Bump S-V to 4.6.0

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 15 Sep 2021 21:00:39 +0200

=== debian/control ===
--- 
+++ 
@@ -56,7 +56,7 @@
                unzip,
                xauth,
                zip
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave.git
 Homepage: https://www.octave.org/
@@ -68,15 +68,15 @@
          ${misc:Depends},
          texinfo,
          octave-common (= ${source:Version}),
-         liboctave8 (= ${binary:Version})
 Recommends: gnuplot-qt | gnuplot-x11 | gnuplot-nox,
             libopenblas0 | libatlas3-base,
             pstoedit,
             epstool,
             default-jre-headless [!armel !hppa !hurd-any !kfreebsd-any !mipsel !powerpc !riscv64],
             octave-doc
-Suggests: liboctave-dev
-Breaks: liboctave3v5, liboctave4, liboctave5, liboctave6, liboctave7,
+Suggests: octave-dev
+Provides: ${octave-abi:Provides}
+Breaks: liboctave3v5, liboctave4, liboctave5, liboctave6, liboctave7, liboctave8,
         octave-nlopt (<< 2.6.1-8~)
 Description: GNU Octave language for numerical computations
  Octave is a (mostly MATLAB® compatible) high-level language, primarily
@@ -117,8 +117,8 @@
  .
  This package provides the following documentation in HTML, PDF and Info
  formats:
- - the main user manual
- - a document on the C++ classes used internally by Octave.
+  - the main user manual
+  - a document on the C++ classes used internally by Octave.
  .
  It also includes a reference card in PDF format and in a4, letter and legal
  paper sizes.
@@ -126,27 +126,11 @@
  This package is required by the 'help -i' command at the Octave command-line
  and by the help documentation browser in the graphical interface.
 
-Package: liboctave8
-Architecture: any
-Multi-Arch: same
-Section: libs
-Depends: ${shlibs:Depends},
-         ${misc:Depends}
-Pre-Depends: ${misc:Pre-Depends}
-Provides: ${octave-abi:Provides}
-Description: shared libraries of the GNU Octave language
- Octave is a (mostly MATLAB® compatible) high-level language, primarily
- intended for numerical computations. It provides a convenient command-line
- interface for solving linear and nonlinear problems numerically.
- .
- This package provides the shared libraries used by the interpreter.
-
-Package: liboctave-dev
+Package: octave-dev
 Architecture: any
 Section: libdevel
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         liboctave8 (= ${binary:Version}),
          octave (= ${binary:Version}),
          libreadline-dev | libreadline-gplv2-dev,
          libncurses5-dev,
@@ -166,3 +150,12 @@
  .
  This package provides the header files and the mkoctfile script used for
  extending Octave via compiled code.
+
+Package: liboctave-dev
+Architecture: all
+Section: oldlibs
+Depends: ${misc:Depends},
+         octave-dev
+Description: transitional dummy package for GNU Octave development
+ The only purpose of this package is to ensure a smooth upgrade to the new
+ 'octave-dev' package which replaces 'liboctave-dev'. It can be safely removed.

=== debian/rules ===
--- 
+++ 
@@ -106,6 +106,6 @@
 	dh_makeshlibs --package=octave --noscripts
 	dh_makeshlibs --no-package=octave
 
-# Make liboctaveN provide the virtual package octave-abi-MM
+# Provide the virtual package octave-abi-MM
 override_dh_gencontrol:
 	dh_gencontrol -- -Voctave-abi:Provides=octave-abi-$(API_VERSION)

## octave 7.2.0

=== debian/changelog ===
octave (7.2.0-1) unstable; urgency=medium

  * New upstream version 7.2.0
    In particular, fixes FTBFS due to missing header in randmtzig.cc.
    (Closes: #1016271)
  * Overhaul lintian overrides

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 30 Jul 2022 22:13:01 +0200

octave (7.1.90-1) experimental; urgency=medium

  [ Rafael Laboissière ]
  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)

  [ Sébastien Villemot ]
  * New upstream version 7.1.90
  * d/copyright: reflect upstream changes

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 14 Jun 2022 17:51:22 +0200

octave (7.1.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 20 Apr 2022 12:16:00 +0200

octave (7.1.0-1) experimental; urgency=medium

  * New upstream version 7.1.0
  * buffer-overflow.patch, drop-mutable-keyword.patch: drop patches,
    applied upstream

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 06 Apr 2022 17:47:14 +0200

octave (7.0.92-3) experimental; urgency=medium

  * buffer-overflow.patch: new patch taken from upstream

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 05 Apr 2022 10:55:34 +0200

octave (7.0.92-2) experimental; urgency=medium

  * drop-mutable-keyword.patch: new patch taken from upstream
  * d/rules: no longer pass --disable-jit to configure, since the JIT has been
    removed

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 25 Mar 2022 18:38:07 +0100

octave (7.0.92-1) experimental; urgency=medium

  * New upstream version 7.0.92
  * Enable java on riscv64
  * Fix day-of-week for changelog entry 2.1.31-2.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 19 Mar 2022 16:54:06 +0100

octave (7.0.90-1) experimental; urgency=medium

  * New upstream version 7.0.90
  * d/copyright: reflect upstream changes
  * Add rapidjson-dev to Build-Depends (needed for new jsondecode/jsonencode)

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 18 Jan 2022 15:38:44 +0100

## octave 7.3.0

=== debian/changelog ===
octave (7.3.0-2) unstable; urgency=medium

  * d/control: add missing Breaks+Replaces of octave-dev on old liboctave-dev
    (Closes: #1033011)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 15 Mar 2023 17:55:33 +0100

octave (7.3.0-1) unstable; urgency=medium

  * New upstream version 7.3.0

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 05 Nov 2022 09:29:53 +0100

=== debian/control ===
--- 
+++ 
@@ -49,6 +49,7 @@
                qtbase5-dev,
                qttools5-dev,
                qttools5-dev-tools,
+               rapidjson-dev,
                texinfo,
                texlive-fonts-recommended,
                texlive-latex-base,
@@ -56,7 +57,7 @@
                unzip,
                xauth,
                zip
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave.git
 Homepage: https://www.octave.org/
@@ -72,7 +73,7 @@
             libopenblas0 | libatlas3-base,
             pstoedit,
             epstool,
-            default-jre-headless [!armel !hppa !hurd-any !kfreebsd-any !mipsel !powerpc !riscv64],
+            default-jre-headless [!armel !hppa !hurd-any !kfreebsd-any !mipsel !powerpc],
             octave-doc
 Suggests: octave-dev
 Provides: ${octave-abi:Provides}
@@ -143,6 +144,8 @@
          gcc,
          g++
 Enhances: octave
+Breaks: liboctave-dev (<< 6.3.0-1)
+Replaces: liboctave-dev (<< 6.3.0-1)
 Description: development files for the GNU Octave language
  Octave is a (mostly MATLAB® compatible) high-level language, primarily
  intended for numerical computations. It provides a convenient command-line

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 # Configure default Java paths using javahelper except on some archs.
 # We require at least OpenJDK 9 (otherwise JAVA_LIBDIR below will not work)
-# The following arches do not have OpenJDK 9: hppa, hurd-*, kfreebsd-*, riscv64
+# The following arches do not have OpenJDK 9: hppa, hurd-*, kfreebsd-*
 # The following arches have crashes with Java
 # - as of OpenJDK 9: armel
 # - as of OpenJDK 10: mipsel, powerpc
@@ -13,7 +13,7 @@
 # of $(NO_JDK_ARCHS) (it’s the archs that really do not have a JDK, see also
 # #947959).
 include /usr/share/dpkg/architecture.mk
-NO_JDK_ARCHS := armel hppa hurd-i386 kfreebsd-amd64 kfreebsd-i386 mipsel powerpc riscv64
+NO_JDK_ARCHS := armel hppa hurd-i386 kfreebsd-amd64 kfreebsd-i386 mipsel powerpc
 ifneq (,$(filter $(DEB_HOST_ARCH),$(NO_JDK_ARCHS)))
 WITH_JAVA_FLAGS := --disable-java
 else
@@ -21,11 +21,6 @@
 JAVA_LIBDIR := $(shell if test -d $(JAVA_HOME)/lib/client; then echo $(JAVA_HOME)/lib/client; else echo $(JAVA_HOME)/lib/server; fi)
 WITH_JAVA_FLAGS := --with-java-homedir=$(JAVA_HOME) --with-java-libdir=$(JAVA_LIBDIR)
 endif
-
-# Disable the experimental JIT unconditionally for now. The LLVM library
-# interface is unstable. Linking with LLVM may also cause conflicts with other
-# libraries, for example the mesa graphics stack which also uses LLVM.
-JIT_FLAG := --disable-jit
 
 # Needed to force the serial version of HDF5 even if other flavours are
 # installed.
@@ -62,7 +57,7 @@
 	dh_auto_configure -- \
 		--with-blas=blas --enable-openmp \
 		--with-system-freefont=/usr/share/fonts/opentype/freefont \
-		$(WITH_JAVA_FLAGS) $(JIT_FLAG) $(HDF5_FLAGS) $(DOC_FLAG)
+		$(WITH_JAVA_FLAGS) $(HDF5_FLAGS) $(DOC_FLAG)
 
 ifneq (,$(filter $(DEB_HOST_ARCH),$(NO_JDK_ARCHS)))
 override_dh_auto_build-indep:

## octave 8.3.0

=== debian/changelog ===
octave (8.3.0-2) unstable; urgency=medium

  * d/p/mkoctfile-skip-options.patch: New patch.
    Thanks to Markus Mützel <markus.muetzel@gmx.de> (Closes: #1050082)

 -- Rafael Laboissière <rafael@debian.org>  Wed, 30 Aug 2023 06:02:05 -0300

octave (8.3.0-1) unstable; urgency=medium

  * New upstream version 8.3.0
  * suitesparse7-part{1,2}.patch: drop patches, applied upstream
  * Update lintian override info format in d/octave.lintian-overrides on line 3.

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 12 Aug 2023 20:18:54 +0200

octave (8.2.0-6) unstable; urgency=medium

  * Re-enable SPQR on 32-bit architectures.
    suitesparse 1:7.1.0+dfsg-3 fixes the issue.

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 02 Aug 2023 18:44:22 +0200

octave (8.2.0-5) unstable; urgency=medium

  * Disable SPQR on 32-bit architectures.
    This is a (hopefully temporary) workaround for the breakage of suitesparse 7
    on those architectures.
    Also add a new suitesparse7-patch2.patch. (Closes: #1041460)

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 19 Jul 2023 14:02:56 +0200

octave (8.2.0-4) unstable; urgency=medium

  * d/control: as an alternative to libopenblas0, recommend libblis4
    instead of libatlas3-base
  * suitesparse7.patch: new patch taken from upstream.
    Fixes compilation against suitesparse 7.

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 18 Jul 2023 19:53:04 +0200

octave (8.2.0-3) unstable; urgency=medium

  * Upload to unstable

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 01 Jul 2023 10:57:11 +0200

octave (8.2.0-2) experimental; urgency=medium

  [ Rafael Laboissière ]
  * d/debian_missing_handler.m: Update name of package liboctave-dev to
    octave-dev

  [ Sébastien Villemot ]
  * d/rules: enable link-time optimizations (LTO)

 -- Sébastien Villemot <sebastien@debian.org>  Tue, 13 Jun 2023 20:42:13 +0200

octave (8.2.0-1) experimental; urgency=medium

  * New upstream version 8.2.0
  * d/control: add missing Breaks+Replaces of octave-dev on old liboctave-dev
    (Closes: #1033011)

 -- Sébastien Villemot <sebastien@debian.org>  Sat, 15 Apr 2023 20:10:08 +0200

octave (8.1.0-1) experimental; urgency=medium

  * New upstream version 8.1.0

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 08 Mar 2023 17:55:11 +0100

octave (8.0.90-1) experimental; urgency=medium

  [ Sébastien Villemot ]
  * New upstream version 8.0.90
  * d/copyright: reflect upstream changes
  * Build against PCRE2, now that it is supported (Closes: #1000011)
  * README.Debian: replace liboctave-dev by octave-dev
  * Replace Depends on libgl1-mesa-dev by libgl-dev
  * Replace (Build-)Depends on libncurses5-dev by libncurses-dev
  * Replace Build-Depends on libfontconfig1-dev by libfontconfig-dev
  * Bump S-V to 4.6.2
  * Add lintian overrides for national encoding tag in octave-common
  * Pass --disable-rpath to configure script

  [ Rafael Laboissière ]
  * d/octave-common.lintian-overrides: Add override for
    package-contains-documentation-outside-usr-share-doc
  * Add overrides for debian-news-entry-has-unknown-version
  * d/octave-dev.lintian-overrides: Add override for
    hardening-no-fortify-functions

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 25 Jan 2023 11:52:20 +0100

=== debian/control ===
--- 
+++ 
@@ -25,15 +25,15 @@
                libcurl4-gnutls-dev,
                libfftw3-dev,
                libfltk1.3-dev,
-               libfontconfig1-dev,
+               libfontconfig-dev,
                libgl2ps-dev,
                libglpk-dev,
                libglu1-mesa-dev,
                libgraphicsmagick++1-dev,
                libhdf5-dev,
                liblapack-dev,
-               libncurses5-dev,
-               libpcre3-dev,
+               libncurses-dev,
+               libpcre2-dev,
                libqhull-dev,
                libqrupdate-dev,
                libqscintilla2-qt5-dev,
@@ -57,7 +57,7 @@
                unzip,
                xauth,
                zip
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave.git
 Homepage: https://www.octave.org/
@@ -70,7 +70,7 @@
          texinfo,
          octave-common (= ${source:Version}),
 Recommends: gnuplot-qt | gnuplot-x11 | gnuplot-nox,
-            libopenblas0 | libatlas3-base,
+            libopenblas0 | libblis4,
             pstoedit,
             epstool,
             default-jre-headless [!armel !hppa !hurd-any !kfreebsd-any !mipsel !powerpc],
@@ -134,9 +134,9 @@
          ${misc:Depends},
          octave (= ${binary:Version}),
          libreadline-dev | libreadline-gplv2-dev,
-         libncurses5-dev,
+         libncurses-dev,
          libhdf5-dev | libhdf5-openmpi-dev | libhdf5-mpich-dev,
-         libgl1-mesa-dev | libgl-dev,
+         libgl-dev,
          libblas-dev | libblas.so,
          liblapack-dev | liblapack.so,
          libfftw3-dev,

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,7 @@
 #!/usr/bin/make -f
 # -*- makefile -*-
+
+export DEB_BUILD_MAINT_OPTIONS=optimize=+lto
 
 # Configure default Java paths using javahelper except on some archs.
 # We require at least OpenJDK 9 (otherwise JAVA_LIBDIR below will not work)
@@ -36,7 +38,7 @@
 endif
 
 # On mipsel, disable debugging symbols. Otherwise, it FTBFS because the
-# assembler hits the virtual space memory limit of 2Gb. See e.g.
+# assembler hits the virtual space memory limit of 2GB. See e.g.
 # https://buildd.debian.org/status/fetch.php?pkg=octave&arch=mipsel&ver=5.1.0-2&stamp=1569871716
 # See also this thread:
 # https://lists.debian.org/debian-devel/2019/08/msg00171.html
@@ -57,6 +59,7 @@
 	dh_auto_configure -- \
 		--with-blas=blas --enable-openmp \
 		--with-system-freefont=/usr/share/fonts/opentype/freefont \
+		--disable-rpath \
 		$(WITH_JAVA_FLAGS) $(HDF5_FLAGS) $(DOC_FLAG)
 
 ifneq (,$(filter $(DEB_HOST_ARCH),$(NO_JDK_ARCHS)))

## octave 8.4.0

=== test/pkg/mfile_basic_test/DESCRIPTION ===
Name: mfile_basic_test
Version: 0.1.0
Date: 2017-12-07
Author: hopefully various authors
Maintainer: hopefully some of those authors.
Title: Basic Example Package
Description: Basic package structure with only m-files.
Depends: octave (>= 4.2.1)
License: GPLv3+
# BuildRequires:
# SystemRequirements:
# Url: external homepage

=== debian/changelog ===
octave (8.4.0-1build5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:19:20 +0000

octave (8.4.0-1build4) noble; urgency=medium

  * No-change rebuild against libcurl3t64-gnutls

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 07:13:32 +0000

octave (8.4.0-1build3) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:07:01 +0000

octave (8.4.0-1build2) noble; urgency=medium

  * No-change rebuild against libarpack2t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Mar 2024 07:33:21 +0000

octave (8.4.0-1build1) noble; urgency=medium

  * Rebuild against new libcholmod5.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Nov 2023 17:44:28 +0100

octave (8.4.0-1) unstable; urgency=medium

  * New upstream version 8.4.0
  * mkoctfile-skip-options.patch: drop patch, applied upstream
  * Add lintian override for false positive related to documentation source
  * Remove no longer needed lintian overrides related to changelog trimming
  * Drop transitional liboctave-dev package
  * Drop old Breaks relationships
  * Drop workarounds for mipsel and kfreebsd-*, those archs have been removed
  * README.Debian:
    + update section about optimized BLAS implementations
    + mention the new XDG-compliant location for octaverc

 -- Sébastien Villemot <sebastien@debian.org>  Wed, 08 Nov 2023 11:10:01 +0100

octave (8.3.0-3) unstable; urgency=medium

  * d/p/mkoctfile-skip-options.patch: Update patch.
    Thanks to Markus Mützel <markus.muetzel@gmx.de> (Closes: #1052973)

 -- Rafael Laboissière <rafael@debian.org>  Sat, 30 Sep 2023 10:35:07 -0300

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: octave
-Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Sébastien Villemot <sebastien@debian.org>,
            Rafael Laboissière <rafael@debian.org>
 Section: math
@@ -77,8 +78,6 @@
             octave-doc
 Suggests: octave-dev
 Provides: ${octave-abi:Provides}
-Breaks: liboctave3v5, liboctave4, liboctave5, liboctave6, liboctave7, liboctave8,
-        octave-nlopt (<< 2.6.1-8~)
 Description: GNU Octave language for numerical computations
  Octave is a (mostly MATLAB® compatible) high-level language, primarily
  intended for numerical computations. It provides a convenient command-line
@@ -144,8 +143,6 @@
          gcc,
          g++
 Enhances: octave
-Breaks: liboctave-dev (<< 6.3.0-1)
-Replaces: liboctave-dev (<< 6.3.0-1)
 Description: development files for the GNU Octave language
  Octave is a (mostly MATLAB® compatible) high-level language, primarily
  intended for numerical computations. It provides a convenient command-line
@@ -153,12 +150,3 @@
  .
  This package provides the header files and the mkoctfile script used for
  extending Octave via compiled code.
-
-Package: liboctave-dev
-Architecture: all
-Section: oldlibs
-Depends: ${misc:Depends},
-         octave-dev
-Description: transitional dummy package for GNU Octave development
- The only purpose of this package is to ensure a smooth upgrade to the new
- 'octave-dev' package which replaces 'liboctave-dev'. It can be safely removed.

=== debian/rules ===
--- 
+++ 
@@ -5,17 +5,17 @@
 
 # Configure default Java paths using javahelper except on some archs.
 # We require at least OpenJDK 9 (otherwise JAVA_LIBDIR below will not work)
-# The following arches do not have OpenJDK 9: hppa, hurd-*, kfreebsd-*
+# The following arches do not have OpenJDK 9: hppa, hurd-*
 # The following arches have crashes with Java
 # - as of OpenJDK 9: armel
-# - as of OpenJDK 10: mipsel, powerpc
+# - as of OpenJDK 10: powerpc
 # This arch list must be kept in sync with the arch list qualifying
 # default-jre in debian/control.
 # The arch list qualifying default-jdk in the Build-Depends should be a subset
 # of $(NO_JDK_ARCHS) (it’s the archs that really do not have a JDK, see also
 # #947959).
 include /usr/share/dpkg/architecture.mk
-NO_JDK_ARCHS := armel hppa hurd-i386 kfreebsd-amd64 kfreebsd-i386 mipsel powerpc
+NO_JDK_ARCHS := armel hppa hurd-i386 powerpc
 ifneq (,$(filter $(DEB_HOST_ARCH),$(NO_JDK_ARCHS)))
 WITH_JAVA_FLAGS := --disable-java
 else
@@ -35,15 +35,6 @@
 ifneq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_configure:
 DOC_FLAG := --disable-docs
-endif
-
-# On mipsel, disable debugging symbols. Otherwise, it FTBFS because the
-# assembler hits the virtual space memory limit of 2GB. See e.g.
-# https://buildd.debian.org/status/fetch.php?pkg=octave&arch=mipsel&ver=5.1.0-2&stamp=1569871716
-# See also this thread:
-# https://lists.debian.org/debian-devel/2019/08/msg00171.html
-ifeq ($(DEB_HOST_ARCH),mipsel)
-export DEB_CXXFLAGS_MAINT_STRIP := -g
 endif
 
 # Get the current API version
